Proactive

API / V1

Projects

7 endpoints in this section.

GET/api/v1/projects

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
pagenumberNo

Page number for paginated results.

-
pageSizenumberNo

Number of items returned per page.

-
sortFieldstringNo

Field used to sort results.

createdAt, name, status
sortDirectionstringNo

Sort order direction.

asc, desc
statusFilterstringNo

Filter projects by lifecycle status.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

POST/api/v1/projects

Requires write scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
namestringYes

Human-readable name.

-
descriptionstringNo

Short textual description.

-
statusstringYes

Current status value for filtering or updates.

ACTIVE, PAUSED, FINISHED, ARCHIVED, DISCARDED

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/projects/{projectId}

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
projectIdstringYes

Unique identifier of the project.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

PATCH/api/v1/projects/{projectId}

Requires write scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
projectIdstringYes

Unique identifier of the project.

-
namestringNo

Human-readable name.

-
descriptionstringNo

Short textual description.

-
statusstringNo

Current status value for filtering or updates.

ACTIVE, PAUSED, FINISHED, ARCHIVED, DISCARDED

Security Warning:

At least one of name/description/status must be provided.

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/projects/{projectId}/github/repositories

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
projectIdstringYes

Unique identifier of the project.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.